svn commit: r332925 - user/pho/stress2/misc
Peter Holm
pho at FreeBSD.org
Tue Apr 24 10:08:12 UTC 2018
Author: pho
Date: Tue Apr 24 10:08:12 2018
New Revision: 332925
URL: https://svnweb.freebsd.org/changeset/base/332925
Log:
Limit runtime to 5 minutes.
Sponsored by: Dell EMC Isilon
Modified:
user/pho/stress2/misc/crossmp6.sh
Modified: user/pho/stress2/misc/crossmp6.sh
==============================================================================
--- user/pho/stress2/misc/crossmp6.sh Tue Apr 24 10:07:13 2018 (r332924)
+++ user/pho/stress2/misc/crossmp6.sh Tue Apr 24 10:08:12 2018 (r332925)
@@ -39,6 +39,7 @@
pgrep -q lockd || { echo "lockd not running."; exit 1; }
+CONT=/tmp/crossmp6.continue
mounts=10 # Number of parallel scripts
if [ $# -eq 0 ]; then
@@ -75,12 +76,13 @@ else
/dev/null 2>&1
(lockf -t 10 ${mntpoint}$2/$0.$$.$i sleep 1 &) > \
/dev/null 2>&1
+ [ -f $CONT ] || break
done
wait
else
-
# The test: Parallel mount and unmounts
- for i in `jot 128`; do
+ start=`date '+%s'`
+ while [ $((`date '+%s'` - start)) -lt 300 ]; do
m=$1
mount -t nfs -o tcp -o nfsv3 -o retrycnt=3 \
-o soft -o rw $nfs_export ${mntpoint}$m
@@ -95,5 +97,6 @@ else
[ $n -gt 100 ] && exit
done
done
+ rm -f $CONT
fi
fi
More information about the svn-src-user
mailing list